Package com.tibco.patterns.learn.rlink

## Interface Confidence

- All Known Implementing Classes:
    `ConfDefault`, `ConfFeature`, `ConfNone`, `ConfQFeature`, `ConfQNone`, `ConfRatio`, `ConfRatioLabel`, `ConfStats`

      public interface Confidence

  Defines a confidence measure and its options. All implementations must be immutable. Confidence values for all measures must belong to interval [0; 1].

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getConfType()` | Return the confidence type.
    `double` | `getDblArg​(int idx)` | Return a double parameter.
    `int` | `getIntArg​(int idx)` | Return an integer parameter.

- - ### Method Detail

    - #### getConfType

          int getConfType()

      Return the confidence type. Must return the correct confidence type for the associated confidence measure.
      Returns:
        the confidence type.

    - #### getIntArg

          int getIntArg​(int idx)

      Return an integer parameter.

      Confidence measures have integer or double value tuning parameters. They are indexed zero thru N-1. This returns the indicated parameter. The order of the parameters must be coordinated with the order expected in the conf_parms_set_jni macro defined in rlink.h.

      A value must have a predefined value that indicates it is not set. For integers the value used is typically -1.

      Parameters:
        `idx` - the integer parameter index, zero based.
      Returns:
        the integer parameter. If the index is invalid for this confidence measure an arbitrary value may be returned.

    - #### getDblArg

          double getDblArg​(int idx)

      Return a double parameter.

      Confidence measures have integer or double value tuning parameters. They are indexed zero thru N-1. This returns the indicated parameter.

      A value must have a predefined value that indicates it is not set. For doubles the value used is typically -1.0.

      Parameters:
        `idx` - the double parameter index, zero based.
      Returns:
        the double parameter. If the index is invalid for this confidence measure an arbitrary value may be returned.